<?php
/**
 * Class for the Options importer used in the One Click Demo Import plugin.
 *
 * @see https://wordpress.org/plugins/options-framework/
 * @package ocdi
 */

namespace OCDI;

class OptionsImporter {
	/**
	 * Import Options data from a JSON file, generated by the Options plugin.
	 *
	 * @param array $import_data Array of arrays. Child array contains 'option_name' and 'file_path'.
	 */
	public static function import( $import_data ) {
		
		foreach ( $import_data as $options_item ) {
			$options_options_raw_data = Helpers::data_from_file( $options_item['file_path'] );

			$options_options_data = '###'.serialize($options_options_raw_data).'###';
			
			update_option( $options_item['option_name'], $options_options_data );
		}
	}
}
